explain_truncate_or_die(3)

NAME
explain_truncate_or_die - truncate a file and report errors

SYNOPSIS
#include <libexplain/truncate.h>

void explain_truncate_or_die(const char *pathname, long long length);

DESCRIPTION
The explain_truncate_or_die function is used to call the truncate(2) system call. On failure an explanation will be printed to stderr, obtained from explain_truncate(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_truncate_or_die(pathname, length);

pathname
    The pathname, exactly as to be passed to the truncate(2) system call.

length
    The length, exactly as to be passed to the truncate(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

truncate(2)
    truncate a file to a specified length

explain_truncate(3)
    explain truncate(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2008 Peter Miller